import { showBalance } from '../composibles/useChooseRoomType';
import { RelatedTypes } from '../types';
import { ChannelNameEnum } from '../../../constants/channel/index';

declare const _default: import('vue').DefineComponent<{}, {
    roomTypeCheckedList: import('vue').Ref<string[]>;
    roomTypeList: import('vue').Ref<{
        name: string;
        skuId: string;
        relatedType: number;
        channelInfos: {
            channelName: string;
            channelProductId: string;
            channelId: string;
            ariSyncStatus: number;
            balanceType: import('../types').BalanceTypes;
            channelProductName: string;
            rateCodeId: string;
        }[];
        isAllChannel?: boolean | undefined;
        roomTypeId?: number | undefined;
    }[]>;
    isSingleChannelToMultiRoomType: import('vue').Ref<boolean>;
    roomTypeAllChecked: import('vue').Ref<boolean>;
    checkedRoomTypeCount: import('vue').ComputedRef<number>;
    isRoomTypeIndeterminate: import('vue').ComputedRef<boolean>;
    channelCheckedList: import('vue').Ref<import('../types').IChannelRateCode[]>;
    handleCheckRoomType: () => void;
    handleCheckRoomTypeInTree: (nodes: import('../types').IRoomTypeItem | import('../types').IChannelInfoItem, { checkedKeys }: {
        checkedKeys: string[];
    }) => void;
    handleRoomTypeCheckAll: (isAll: boolean) => void;
    RelatedTypes: typeof RelatedTypes;
    treeEl: import('vue').Ref<null>;
    ChannelNameEnum: typeof ChannelNameEnum;
    showBalance: typeof showBalance;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{}>>, {}, {}>;
export default _default;
